device_type: kv260
job_name: @JOB_NAME@
visibility: public
priority: 100

timeouts:
  job:
    minutes: 60
  action:
    minutes: 20
  connection:
    minutes: 20

context:
  lava_test_results_dir: /var/lib/lava-%s
  test_character_delay: 30

actions:

- deploy:
    failure_retry: 3
    timeout:
      minutes: 60
    to: flasher
    images:
      ImageA:
        url: @FIRMWARE_URL@
        compression: gz
      ImageB:
        url: @FIRMWARE_URL@
        compression: gz
      sd:
        url: @OS_URL@
        compression: xz

- boot:
    timeout:
      minutes: 15
    method: minimal

- boot:
    timeout:
      minutes: 15
    method: minimal
    reset: false
    prompts:
      - root@(.*):[/~]#
    auto_login:
      login_prompt: "login:"
      username: "root"
    transfer_overlay:
      download_command: wget -t 20
      unpack_command: tar -C /var/lib/ -xzvf
